<?php

use Illuminate\Support\Facades\Route;

// --- pro: leads --- //
Route::prefix('/leads')->group(function () {
	Route::get('', 'leads_Controller@index')->name('leads-index');
});

// --- pro: clients --- //
Route::prefix('/clients')->group(function () {
	Route::get('', 'clients_Controller@index')->name('clients-index');
	Route::get('add_new', 'clients_Controller@add_new')->name('clients-add_new');
	Route::get('view/{uid}', 'clients_Controller@view')->name('clients-view');
});

// --- pro: clients_SINGLE --- //
Route::prefix('/clients/view/{uid}')->group(function () {
	Route::get('ACTION_sendCellNumberConfirmationMessage', 'clients_SINGLE_Controller@ACTION_sendCellNumberConfirmationMessage')->name('clients_SINGLE-ACTION_sendCellNumberConfirmationMessage');
	Route::get('ACTION_confirmCellNumberWithConfirmationToken', 'clients_SINGLE_Controller@ACTION_confirmCellNumberWithConfirmationToken')->name('clients_SINGLE-ACTION_confirmCellNumberWithConfirmationToken');
	Route::get('ACTION_putNewCellNumber', 'clients_SINGLE_Controller@ACTION_putNewCellNumber')->name('clients_SINGLE-ACTION_putNewCellNumber');
	Route::get('ACTION_putNewEmailAddress', 'clients_SINGLE_Controller@ACTION_putNewEmailAddress')->name('clients_SINGLE-ACTION_putNewEmailAddress');
	Route::get('ACTION_sendEmailAddressConfirmationMessage', 'clients_SINGLE_Controller@ACTION_sendEmailAddressConfirmationMessage')->name('clients_SINGLE-ACTION_sendEmailAddressConfirmationMessage');
	Route::get('ACTION_confirmEmailAddressWithConfirmationToken', 'clients_SINGLE_Controller@ACTION_confirmEmailAddressWithConfirmationToken')->name('clients_SINGLE-ACTION_confirmEmailAddressWithConfirmationToken');
	Route::get('ACTION_deactivate', 'clients_SINGLE_Controller@ACTION_deactivate')->name('clients_SINGLE-ACTION_deactivate');
	Route::get('ACTION_updateDeactivationMemo', 'clients_SINGLE_Controller@ACTION_updateDeactivationMemo')->name('clients_SINGLE-ACTION_updateDeactivationMemo');
	Route::get('ACTION_reactivate', 'clients_SINGLE_Controller@ACTION_reactivate')->name('clients_SINGLE-ACTION_reactivate');
	Route::get('ACTION_updateReactivationMemo', 'clients_SINGLE_Controller@ACTION_updateReactivationMemo')->name('clients_SINGLE-ACTION_updateReactivationMemo');
	Route::get('ACTION_editSource', 'clients_SINGLE_Controller@ACTION_editSource')->name('clients_SINGLE-ACTION_editSource');
	Route::get('ACTION_setIsDuplicateToTrue', 'clients_SINGLE_Controller@ACTION_setIsDuplicateToTrue')->name('clients_SINGLE-ACTION_setIsDuplicateToTrue');
	Route::get('ACTION_setIsDuplicateToFalse', 'clients_SINGLE_Controller@ACTION_setIsDuplicateToFalse')->name('clients_SINGLE-ACTION_setIsDuplicateToFalse');
	Route::get('ACTION_editName', 'clients_SINGLE_Controller@ACTION_editName')->name('clients_SINGLE-ACTION_editName');
	Route::get('ACTION_editDob', 'clients_SINGLE_Controller@ACTION_editDob')->name('clients_SINGLE-ACTION_editDob');
	Route::get('ACTION_editDemographics', 'clients_SINGLE_Controller@ACTION_editDemographics')->name('clients_SINGLE-ACTION_editDemographics');
	Route::get('ACTION_editSpouse', 'clients_SINGLE_Controller@ACTION_editSpouse')->name('clients_SINGLE-ACTION_editSpouse');
	Route::get('ACTION_editIntakeDetails', 'clients_SINGLE_Controller@ACTION_editIntakeDetails')->name('clients_SINGLE-ACTION_editIntakeDetails');
	Route::get('ACTION_editResponsibleParty', 'clients_SINGLE_Controller@ACTION_editResponsibleParty')->name('clients_SINGLE-ACTION_editResponsibleParty');
	Route::get('ACTION_editEmergencyRelationship', 'clients_SINGLE_Controller@ACTION_editEmergencyRelationship')->name('clients_SINGLE-ACTION_editEmergencyRelationship');
	Route::get('ACTION_editFamilyInfo', 'clients_SINGLE_Controller@ACTION_editFamilyInfo')->name('clients_SINGLE-ACTION_editFamilyInfo');
	Route::get('ACTION_editContactDetails', 'clients_SINGLE_Controller@ACTION_editContactDetails')->name('clients_SINGLE-ACTION_editContactDetails');
	Route::get('ACTION_editAddress', 'clients_SINGLE_Controller@ACTION_editAddress')->name('clients_SINGLE-ACTION_editAddress');
	Route::get('ACTION_editMiscDemographics', 'clients_SINGLE_Controller@ACTION_editMiscDemographics')->name('clients_SINGLE-ACTION_editMiscDemographics');
	Route::get('ACTION_setIsDeceasedToTrue', 'clients_SINGLE_Controller@ACTION_setIsDeceasedToTrue')->name('clients_SINGLE-ACTION_setIsDeceasedToTrue');
	Route::get('ACTION_setIsDeceasedToFalse', 'clients_SINGLE_Controller@ACTION_setIsDeceasedToFalse')->name('clients_SINGLE-ACTION_setIsDeceasedToFalse');
	Route::get('ACTION_editPharmacy', 'clients_SINGLE_Controller@ACTION_editPharmacy')->name('clients_SINGLE-ACTION_editPharmacy');
	Route::get('ACTION_editSsn', 'clients_SINGLE_Controller@ACTION_editSsn')->name('clients_SINGLE-ACTION_editSsn');
	Route::get('ACTION_putMedicareInfo', 'clients_SINGLE_Controller@ACTION_putMedicareInfo')->name('clients_SINGLE-ACTION_putMedicareInfo');
	Route::get('ACTION_removeMcn', 'clients_SINGLE_Controller@ACTION_removeMcn')->name('clients_SINGLE-ACTION_removeMcn');
	Route::get('ACTION_updateWebcamInfo', 'clients_SINGLE_Controller@ACTION_updateWebcamInfo')->name('clients_SINGLE-ACTION_updateWebcamInfo');
	Route::get('ACTION_putMcp', 'clients_SINGLE_Controller@ACTION_putMcp')->name('clients_SINGLE-ACTION_putMcp');
	Route::get('ACTION_removeMcp', 'clients_SINGLE_Controller@ACTION_removeMcp')->name('clients_SINGLE-ACTION_removeMcp');
	Route::get('ACTION_updateMcpOnboardingVisitInfo', 'clients_SINGLE_Controller@ACTION_updateMcpOnboardingVisitInfo')->name('clients_SINGLE-ACTION_updateMcpOnboardingVisitInfo');
	Route::get('ACTION_updateMcpOnboardingActiveInfo', 'clients_SINGLE_Controller@ACTION_updateMcpOnboardingActiveInfo')->name('clients_SINGLE-ACTION_updateMcpOnboardingActiveInfo');
	Route::get('ACTION_putMcpOnboardingPro', 'clients_SINGLE_Controller@ACTION_putMcpOnboardingPro')->name('clients_SINGLE-ACTION_putMcpOnboardingPro');
	Route::get('ACTION_removeMcpOnboardingPro', 'clients_SINGLE_Controller@ACTION_removeMcpOnboardingPro')->name('clients_SINGLE-ACTION_removeMcpOnboardingPro');
	Route::get('ACTION_acceptAssignmentAsMcpOnboardingPro', 'clients_SINGLE_Controller@ACTION_acceptAssignmentAsMcpOnboardingPro')->name('clients_SINGLE-ACTION_acceptAssignmentAsMcpOnboardingPro');
	Route::get('ACTION_rejectAssignmentAsMcpOnboardingPro', 'clients_SINGLE_Controller@ACTION_rejectAssignmentAsMcpOnboardingPro')->name('clients_SINGLE-ACTION_rejectAssignmentAsMcpOnboardingPro');
	Route::get('ACTION_updateMcpOnboardingProDecisionMemo', 'clients_SINGLE_Controller@ACTION_updateMcpOnboardingProDecisionMemo')->name('clients_SINGLE-ACTION_updateMcpOnboardingProDecisionMemo');
	Route::get('ACTION_updateMcpOnboardingStrategy', 'clients_SINGLE_Controller@ACTION_updateMcpOnboardingStrategy')->name('clients_SINGLE-ACTION_updateMcpOnboardingStrategy');
	Route::get('ACTION_updateNextMcpOnboardingAttempt', 'clients_SINGLE_Controller@ACTION_updateNextMcpOnboardingAttempt')->name('clients_SINGLE-ACTION_updateNextMcpOnboardingAttempt');
	Route::get('ACTION_putCmPro', 'clients_SINGLE_Controller@ACTION_putCmPro')->name('clients_SINGLE-ACTION_putCmPro');
	Route::get('ACTION_removeCmPro', 'clients_SINGLE_Controller@ACTION_removeCmPro')->name('clients_SINGLE-ACTION_removeCmPro');
	Route::get('ACTION_putRmePro', 'clients_SINGLE_Controller@ACTION_putRmePro')->name('clients_SINGLE-ACTION_putRmePro');
	Route::get('ACTION_removeRmePro', 'clients_SINGLE_Controller@ACTION_removeRmePro')->name('clients_SINGLE-ACTION_removeRmePro');
	Route::get('ACTION_putRmmPro', 'clients_SINGLE_Controller@ACTION_putRmmPro')->name('clients_SINGLE-ACTION_putRmmPro');
	Route::get('ACTION_removeRmmPro', 'clients_SINGLE_Controller@ACTION_removeRmmPro')->name('clients_SINGLE-ACTION_removeRmmPro');
	Route::get('ACTION_putRdPro', 'clients_SINGLE_Controller@ACTION_putRdPro')->name('clients_SINGLE-ACTION_putRdPro');
	Route::get('ACTION_removeRdPro', 'clients_SINGLE_Controller@ACTION_removeRdPro')->name('clients_SINGLE-ACTION_removeRdPro');
	Route::get('ACTION_updateMntEligibility', 'clients_SINGLE_Controller@ACTION_updateMntEligibility')->name('clients_SINGLE-ACTION_updateMntEligibility');
	Route::get('ACTION_updateCmEligibility', 'clients_SINGLE_Controller@ACTION_updateCmEligibility')->name('clients_SINGLE-ACTION_updateCmEligibility');
	Route::get('ACTION_setIsEnrolledInCmToFalse', 'clients_SINGLE_Controller@ACTION_setIsEnrolledInCmToFalse')->name('clients_SINGLE-ACTION_setIsEnrolledInCmToFalse');
	Route::get('ACTION_setIsEnrolledInCmToTrue', 'clients_SINGLE_Controller@ACTION_setIsEnrolledInCmToTrue')->name('clients_SINGLE-ACTION_setIsEnrolledInCmToTrue');
	Route::get('ACTION_updateCmReasons', 'clients_SINGLE_Controller@ACTION_updateCmReasons')->name('clients_SINGLE-ACTION_updateCmReasons');
	Route::get('ACTION_updateRmReasons', 'clients_SINGLE_Controller@ACTION_updateRmReasons')->name('clients_SINGLE-ACTION_updateRmReasons');
	Route::get('ACTION_updateCmEnrollmentConsentInfo', 'clients_SINGLE_Controller@ACTION_updateCmEnrollmentConsentInfo')->name('clients_SINGLE-ACTION_updateCmEnrollmentConsentInfo');
	Route::get('ACTION_updateWhyNotEnrolledInCm', 'clients_SINGLE_Controller@ACTION_updateWhyNotEnrolledInCm')->name('clients_SINGLE-ACTION_updateWhyNotEnrolledInCm');
	Route::get('ACTION_updateRmEligibility', 'clients_SINGLE_Controller@ACTION_updateRmEligibility')->name('clients_SINGLE-ACTION_updateRmEligibility');
	Route::get('ACTION_setIsEnrolledInRmToFalse', 'clients_SINGLE_Controller@ACTION_setIsEnrolledInRmToFalse')->name('clients_SINGLE-ACTION_setIsEnrolledInRmToFalse');
	Route::get('ACTION_setIsEnrolledInRmToTrue', 'clients_SINGLE_Controller@ACTION_setIsEnrolledInRmToTrue')->name('clients_SINGLE-ACTION_setIsEnrolledInRmToTrue');
	Route::get('ACTION_updateWhyNotEnrolledInRm', 'clients_SINGLE_Controller@ACTION_updateWhyNotEnrolledInRm')->name('clients_SINGLE-ACTION_updateWhyNotEnrolledInRm');
	Route::get('ACTION_updateEquipmentInfo', 'clients_SINGLE_Controller@ACTION_updateEquipmentInfo')->name('clients_SINGLE-ACTION_updateEquipmentInfo');
	Route::get('SUB_dashboard', 'clients_SINGLE_Controller@SUB_dashboard')->name('clients_SINGLE-SUB_dashboard');
	Route::get('SUB_detail', 'clients_SINGLE_Controller@SUB_detail')->name('clients_SINGLE-SUB_detail');
	Route::get('SUB_measurements', 'clients_SINGLE_Controller@SUB_measurements')->name('clients_SINGLE-SUB_measurements');
	Route::get('SUB_med_profile', 'clients_SINGLE_Controller@SUB_med_profile')->name('clients_SINGLE-SUB_med_profile');
	Route::get('SUB_med_profile_log', 'clients_SINGLE_Controller@SUB_med_profile_log')->name('clients_SINGLE-SUB_med_profile_log');
	Route::get('SUB_pro_access', 'clients_SINGLE_Controller@SUB_pro_access')->name('clients_SINGLE-SUB_pro_access');
	Route::get('SUB_notes', 'clients_SINGLE_Controller@SUB_notes')->name('clients_SINGLE-SUB_notes');
	Route::get('SUB_relationships', 'clients_SINGLE_Controller@SUB_relationships')->name('clients_SINGLE-SUB_relationships');
	Route::get('SUB_care_months', 'clients_SINGLE_Controller@SUB_care_months')->name('clients_SINGLE-SUB_care_months');
	Route::get('SUB_care_month_entries', 'clients_SINGLE_Controller@SUB_care_month_entries')->name('clients_SINGLE-SUB_care_month_entries');
	Route::get('SUB_bills', 'clients_SINGLE_Controller@SUB_bills')->name('clients_SINGLE-SUB_bills');
	Route::get('SUB_related_transactions', 'clients_SINGLE_Controller@SUB_related_transactions')->name('clients_SINGLE-SUB_related_transactions');
	Route::get('SUB_action_items', 'clients_SINGLE_Controller@SUB_action_items')->name('clients_SINGLE-SUB_action_items');
	Route::get('SUB_erx', 'clients_SINGLE_Controller@SUB_erx')->name('clients_SINGLE-SUB_erx');
	Route::get('SUB_mcp_updates', 'clients_SINGLE_Controller@SUB_mcp_updates')->name('clients_SINGLE-SUB_mcp_updates');
	Route::get('SUB_client_sms', 'clients_SINGLE_Controller@SUB_client_sms')->name('clients_SINGLE-SUB_client_sms');
	Route::get('SUB_client_sms_numbers', 'clients_SINGLE_Controller@SUB_client_sms_numbers')->name('clients_SINGLE-SUB_client_sms_numbers');
	Route::get('SUB_client_documents', 'clients_SINGLE_Controller@SUB_client_documents')->name('clients_SINGLE-SUB_client_documents');
	Route::get('SUB_audit_log', 'clients_SINGLE_Controller@SUB_audit_log')->name('clients_SINGLE-SUB_audit_log');
	Route::get('ACTION_add_new_measurement', 'clients_SINGLE_Controller@ACTION_add_new_measurement')->name('clients_SINGLE-ACTION_add_new_measurement');
	Route::get('ACTION_add_new_client_info_line', 'clients_SINGLE_Controller@ACTION_add_new_client_info_line')->name('clients_SINGLE-ACTION_add_new_client_info_line');
	Route::get('ACTION_add_new_client_pro_access', 'clients_SINGLE_Controller@ACTION_add_new_client_pro_access')->name('clients_SINGLE-ACTION_add_new_client_pro_access');
	Route::get('ACTION_add_new_note', 'clients_SINGLE_Controller@ACTION_add_new_note')->name('clients_SINGLE-ACTION_add_new_note');
	Route::get('ACTION_add_new_relationship', 'clients_SINGLE_Controller@ACTION_add_new_relationship')->name('clients_SINGLE-ACTION_add_new_relationship');
	Route::get('ACTION_add_new_care_month', 'clients_SINGLE_Controller@ACTION_add_new_care_month')->name('clients_SINGLE-ACTION_add_new_care_month');
	Route::get('ACTION_add_new_action_item', 'clients_SINGLE_Controller@ACTION_add_new_action_item')->name('clients_SINGLE-ACTION_add_new_action_item');
	Route::get('ACTION_add_new_erx_action_item', 'clients_SINGLE_Controller@ACTION_add_new_erx_action_item')->name('clients_SINGLE-ACTION_add_new_erx_action_item');
	Route::get('ACTION_add_new_client_document', 'clients_SINGLE_Controller@ACTION_add_new_client_document')->name('clients_SINGLE-ACTION_add_new_client_document');
});

// --- pro: notes --- //
Route::prefix('/notes')->group(function () {
	Route::get('', 'notes_Controller@index')->name('notes-index');
	Route::get('view/{uid}', 'notes_Controller@view')->name('notes-view');
});

// --- pro: notes_SINGLE --- //
Route::prefix('/notes/view/{uid}')->group(function () {
	Route::get('ACTION_signAsHcp', 'notes_SINGLE_Controller@ACTION_signAsHcp')->name('notes_SINGLE-ACTION_signAsHcp');
	Route::get('SUB_dashboard', 'notes_SINGLE_Controller@SUB_dashboard')->name('notes_SINGLE-SUB_dashboard');
	Route::get('SUB_bills', 'notes_SINGLE_Controller@SUB_bills')->name('notes_SINGLE-SUB_bills');
	Route::get('SUB_sections', 'notes_SINGLE_Controller@SUB_sections')->name('notes_SINGLE-SUB_sections');
	Route::get('ACTION_add_new_bill', 'notes_SINGLE_Controller@ACTION_add_new_bill')->name('notes_SINGLE-ACTION_add_new_bill');
});

// --- pro: relationships --- //
Route::prefix('/relationships')->group(function () {
	Route::get('', 'relationships_Controller@index')->name('relationships-index');
	Route::get('view/{uid}', 'relationships_Controller@view')->name('relationships-view');
});

// --- pro: relationships_SINGLE --- //
Route::prefix('/relationships/view/{uid}')->group(function () {
	Route::get('ACTION_updateBasic', 'relationships_SINGLE_Controller@ACTION_updateBasic')->name('relationships_SINGLE-ACTION_updateBasic');
	Route::get('SUB_dashboard', 'relationships_SINGLE_Controller@SUB_dashboard')->name('relationships_SINGLE-SUB_dashboard');
});

// --- pro: measurements --- //
Route::prefix('/measurements')->group(function () {
	Route::get('', 'measurements_Controller@index')->name('measurements-index');
	Route::get('view/{uid}', 'measurements_Controller@view')->name('measurements-view');
});

// --- pro: measurements_SINGLE --- //
Route::prefix('/measurements/view/{uid}')->group(function () {
	Route::get('ACTION_updateBasic', 'measurements_SINGLE_Controller@ACTION_updateBasic')->name('measurements_SINGLE-ACTION_updateBasic');
	Route::get('ACTION_remove', 'measurements_SINGLE_Controller@ACTION_remove')->name('measurements_SINGLE-ACTION_remove');
	Route::get('SUB_dashboard', 'measurements_SINGLE_Controller@SUB_dashboard')->name('measurements_SINGLE-SUB_dashboard');
});

// --- pro: erx --- //
Route::prefix('/erx')->group(function () {
	Route::get('', 'erx_Controller@index')->name('erx-index');
	Route::get('view/{uid}', 'erx_Controller@view')->name('erx-view');
});

// --- pro: erx_SINGLE --- //
Route::prefix('/erx/view/{uid}')->group(function () {
	Route::get('ACTION_signAsPrescriber', 'erx_SINGLE_Controller@ACTION_signAsPrescriber')->name('erx_SINGLE-ACTION_signAsPrescriber');
	Route::get('ACTION_updateToFacility', 'erx_SINGLE_Controller@ACTION_updateToFacility')->name('erx_SINGLE-ACTION_updateToFacility');
	Route::get('ACTION_updateContent', 'erx_SINGLE_Controller@ACTION_updateContent')->name('erx_SINGLE-ACTION_updateContent');
	Route::get('ACTION_updateStatus', 'erx_SINGLE_Controller@ACTION_updateStatus')->name('erx_SINGLE-ACTION_updateStatus');
	Route::get('ACTION_efax', 'erx_SINGLE_Controller@ACTION_efax')->name('erx_SINGLE-ACTION_efax');
	Route::get('SUB_dashboard', 'erx_SINGLE_Controller@SUB_dashboard')->name('erx_SINGLE-SUB_dashboard');
	Route::get('SUB_audit_log', 'erx_SINGLE_Controller@SUB_audit_log')->name('erx_SINGLE-SUB_audit_log');
});

// --- pro: action_items --- //
Route::prefix('/action_items')->group(function () {
	Route::get('', 'action_items_Controller@index')->name('action_items-index');
	Route::get('view/{uid}', 'action_items_Controller@view')->name('action_items-view');
});

// --- pro: action_items_SINGLE --- //
Route::prefix('/action_items/view/{uid}')->group(function () {
	Route::get('ACTION_signAsPrescriber', 'action_items_SINGLE_Controller@ACTION_signAsPrescriber')->name('action_items_SINGLE-ACTION_signAsPrescriber');
	Route::get('ACTION_updateToFacility', 'action_items_SINGLE_Controller@ACTION_updateToFacility')->name('action_items_SINGLE-ACTION_updateToFacility');
	Route::get('ACTION_updateContent', 'action_items_SINGLE_Controller@ACTION_updateContent')->name('action_items_SINGLE-ACTION_updateContent');
	Route::get('ACTION_updateStatus', 'action_items_SINGLE_Controller@ACTION_updateStatus')->name('action_items_SINGLE-ACTION_updateStatus');
	Route::get('ACTION_efax', 'action_items_SINGLE_Controller@ACTION_efax')->name('action_items_SINGLE-ACTION_efax');
	Route::get('SUB_dashboard', 'action_items_SINGLE_Controller@SUB_dashboard')->name('action_items_SINGLE-SUB_dashboard');
	Route::get('SUB_audit_log', 'action_items_SINGLE_Controller@SUB_audit_log')->name('action_items_SINGLE-SUB_audit_log');
});

// --- pro: care_months --- //
Route::prefix('/care_months')->group(function () {
	Route::get('', 'care_months_Controller@index')->name('care_months-index');
	Route::get('view/{uid}', 'care_months_Controller@view')->name('care_months-view');
});

// --- pro: care_months_SINGLE --- //
Route::prefix('/care_months/view/{uid}')->group(function () {
	Route::get('ACTION_assignMcpPro', 'care_months_SINGLE_Controller@ACTION_assignMcpPro')->name('care_months_SINGLE-ACTION_assignMcpPro');
	Route::get('ACTION_changeMcpPro', 'care_months_SINGLE_Controller@ACTION_changeMcpPro')->name('care_months_SINGLE-ACTION_changeMcpPro');
	Route::get('ACTION_removeMcpPro', 'care_months_SINGLE_Controller@ACTION_removeMcpPro')->name('care_months_SINGLE-ACTION_removeMcpPro');
	Route::get('ACTION_assignCmPro', 'care_months_SINGLE_Controller@ACTION_assignCmPro')->name('care_months_SINGLE-ACTION_assignCmPro');
	Route::get('ACTION_changeCmPro', 'care_months_SINGLE_Controller@ACTION_changeCmPro')->name('care_months_SINGLE-ACTION_changeCmPro');
	Route::get('ACTION_removeCmPro', 'care_months_SINGLE_Controller@ACTION_removeCmPro')->name('care_months_SINGLE-ACTION_removeCmPro');
	Route::get('ACTION_assignRmePro', 'care_months_SINGLE_Controller@ACTION_assignRmePro')->name('care_months_SINGLE-ACTION_assignRmePro');
	Route::get('ACTION_changeRmePro', 'care_months_SINGLE_Controller@ACTION_changeRmePro')->name('care_months_SINGLE-ACTION_changeRmePro');
	Route::get('ACTION_removeRmePro', 'care_months_SINGLE_Controller@ACTION_removeRmePro')->name('care_months_SINGLE-ACTION_removeRmePro');
	Route::get('ACTION_assignRmmPro', 'care_months_SINGLE_Controller@ACTION_assignRmmPro')->name('care_months_SINGLE-ACTION_assignRmmPro');
	Route::get('ACTION_changeRmmPro', 'care_months_SINGLE_Controller@ACTION_changeRmmPro')->name('care_months_SINGLE-ACTION_changeRmmPro');
	Route::get('ACTION_removeRmmPro', 'care_months_SINGLE_Controller@ACTION_removeRmmPro')->name('care_months_SINGLE-ACTION_removeRmmPro');
	Route::get('ACTION_updateCmReasons', 'care_months_SINGLE_Controller@ACTION_updateCmReasons')->name('care_months_SINGLE-ACTION_updateCmReasons');
	Route::get('ACTION_updateRmReasons', 'care_months_SINGLE_Controller@ACTION_updateRmReasons')->name('care_months_SINGLE-ACTION_updateRmReasons');
	Route::get('ACTION_setIsClientEnrolledInCmToTrue', 'care_months_SINGLE_Controller@ACTION_setIsClientEnrolledInCmToTrue')->name('care_months_SINGLE-ACTION_setIsClientEnrolledInCmToTrue');
	Route::get('ACTION_setIsClientEnrolledInCmToFalse', 'care_months_SINGLE_Controller@ACTION_setIsClientEnrolledInCmToFalse')->name('care_months_SINGLE-ACTION_setIsClientEnrolledInCmToFalse');
	Route::get('ACTION_updateWhyNotEnrolledInCm', 'care_months_SINGLE_Controller@ACTION_updateWhyNotEnrolledInCm')->name('care_months_SINGLE-ACTION_updateWhyNotEnrolledInCm');
	Route::get('ACTION_setIsClientEnrolledInRmToTrue', 'care_months_SINGLE_Controller@ACTION_setIsClientEnrolledInRmToTrue')->name('care_months_SINGLE-ACTION_setIsClientEnrolledInRmToTrue');
	Route::get('ACTION_setIsClientEnrolledInRmToFalse', 'care_months_SINGLE_Controller@ACTION_setIsClientEnrolledInRmToFalse')->name('care_months_SINGLE-ACTION_setIsClientEnrolledInRmToFalse');
	Route::get('ACTION_updateWhyNotEnrolledInRm', 'care_months_SINGLE_Controller@ACTION_updateWhyNotEnrolledInRm')->name('care_months_SINGLE-ACTION_updateWhyNotEnrolledInRm');
	Route::get('ACTION_generateBillForCm', 'care_months_SINGLE_Controller@ACTION_generateBillForCm')->name('care_months_SINGLE-ACTION_generateBillForCm');
	Route::get('ACTION_generateBillForRm', 'care_months_SINGLE_Controller@ACTION_generateBillForRm')->name('care_months_SINGLE-ACTION_generateBillForRm');
	Route::get('ACTION_setIsCmCanceledThisMonthToTrue', 'care_months_SINGLE_Controller@ACTION_setIsCmCanceledThisMonthToTrue')->name('care_months_SINGLE-ACTION_setIsCmCanceledThisMonthToTrue');
	Route::get('ACTION_updateWhyIsCmCanceledThisMonth', 'care_months_SINGLE_Controller@ACTION_updateWhyIsCmCanceledThisMonth')->name('care_months_SINGLE-ACTION_updateWhyIsCmCanceledThisMonth');
	Route::get('ACTION_setIsCmCanceledThisMonthToFalse', 'care_months_SINGLE_Controller@ACTION_setIsCmCanceledThisMonthToFalse')->name('care_months_SINGLE-ACTION_setIsCmCanceledThisMonthToFalse');
	Route::get('ACTION_setIsRmCanceledThisMonthToTrue', 'care_months_SINGLE_Controller@ACTION_setIsRmCanceledThisMonthToTrue')->name('care_months_SINGLE-ACTION_setIsRmCanceledThisMonthToTrue');
	Route::get('ACTION_updateWhyIsRmCanceledThisMonth', 'care_months_SINGLE_Controller@ACTION_updateWhyIsRmCanceledThisMonth')->name('care_months_SINGLE-ACTION_updateWhyIsRmCanceledThisMonth');
	Route::get('ACTION_setIsRmCanceledThisMonthToFalse', 'care_months_SINGLE_Controller@ACTION_setIsRmCanceledThisMonthToFalse')->name('care_months_SINGLE-ACTION_setIsRmCanceledThisMonthToFalse');
	Route::get('ACTION_setIsTmThisMonthToTrue', 'care_months_SINGLE_Controller@ACTION_setIsTmThisMonthToTrue')->name('care_months_SINGLE-ACTION_setIsTmThisMonthToTrue');
	Route::get('ACTION_setIsTmThisMonthToFalse', 'care_months_SINGLE_Controller@ACTION_setIsTmThisMonthToFalse')->name('care_months_SINGLE-ACTION_setIsTmThisMonthToFalse');
	Route::get('SUB_dashboard', 'care_months_SINGLE_Controller@SUB_dashboard')->name('care_months_SINGLE-SUB_dashboard');
	Route::get('SUB_cm_time_entries', 'care_months_SINGLE_Controller@SUB_cm_time_entries')->name('care_months_SINGLE-SUB_cm_time_entries');
	Route::get('SUB_rm_time_entries', 'care_months_SINGLE_Controller@SUB_rm_time_entries')->name('care_months_SINGLE-SUB_rm_time_entries');
	Route::get('SUB_bills', 'care_months_SINGLE_Controller@SUB_bills')->name('care_months_SINGLE-SUB_bills');
	Route::get('SUB_audit_log', 'care_months_SINGLE_Controller@SUB_audit_log')->name('care_months_SINGLE-SUB_audit_log');
	Route::get('ACTION_add_new_care_month_entry', 'care_months_SINGLE_Controller@ACTION_add_new_care_month_entry')->name('care_months_SINGLE-ACTION_add_new_care_month_entry');
	Route::get('ACTION_add_new_care_month_entry', 'care_months_SINGLE_Controller@ACTION_add_new_care_month_entry')->name('care_months_SINGLE-ACTION_add_new_care_month_entry');
});

// --- pro: care_month_entries --- //
Route::prefix('/care_month_entries')->group(function () {
	Route::get('', 'care_month_entries_Controller@index')->name('care_month_entries-index');
	Route::get('view/{uid}', 'care_month_entries_Controller@view')->name('care_month_entries-view');
});

// --- pro: care_month_entries_SINGLE --- //
Route::prefix('/care_month_entries/view/{uid}')->group(function () {
	Route::get('ACTION_updateContent', 'care_month_entries_SINGLE_Controller@ACTION_updateContent')->name('care_month_entries_SINGLE-ACTION_updateContent');
	Route::get('ACTION_updateTiming', 'care_month_entries_SINGLE_Controller@ACTION_updateTiming')->name('care_month_entries_SINGLE-ACTION_updateTiming');
	Route::get('ACTION_remove', 'care_month_entries_SINGLE_Controller@ACTION_remove')->name('care_month_entries_SINGLE-ACTION_remove');
	Route::get('SUB_dashboard', 'care_month_entries_SINGLE_Controller@SUB_dashboard')->name('care_month_entries_SINGLE-SUB_dashboard');
});

// --- pro: bills --- //
Route::prefix('/bills')->group(function () {
	Route::get('', 'bills_Controller@index')->name('bills-index');
	Route::get('view/{uid}', 'bills_Controller@view')->name('bills-view');
});

// --- pro: bills_SINGLE --- //
Route::prefix('/bills/view/{uid}')->group(function () {
	Route::get('ACTION_payHcpAmount', 'bills_SINGLE_Controller@ACTION_payHcpAmount')->name('bills_SINGLE-ACTION_payHcpAmount');
	Route::get('ACTION_payHcpDifferentAmount', 'bills_SINGLE_Controller@ACTION_payHcpDifferentAmount')->name('bills_SINGLE-ACTION_payHcpDifferentAmount');
	Route::get('ACTION_payCmAmount', 'bills_SINGLE_Controller@ACTION_payCmAmount')->name('bills_SINGLE-ACTION_payCmAmount');
	Route::get('ACTION_payCmDifferentAmount', 'bills_SINGLE_Controller@ACTION_payCmDifferentAmount')->name('bills_SINGLE-ACTION_payCmDifferentAmount');
	Route::get('ACTION_payRmeAmount', 'bills_SINGLE_Controller@ACTION_payRmeAmount')->name('bills_SINGLE-ACTION_payRmeAmount');
	Route::get('ACTION_payRmeDifferentAmount', 'bills_SINGLE_Controller@ACTION_payRmeDifferentAmount')->name('bills_SINGLE-ACTION_payRmeDifferentAmount');
	Route::get('ACTION_payRmmAmount', 'bills_SINGLE_Controller@ACTION_payRmmAmount')->name('bills_SINGLE-ACTION_payRmmAmount');
	Route::get('ACTION_payRmmDifferentAmount', 'bills_SINGLE_Controller@ACTION_payRmmDifferentAmount')->name('bills_SINGLE-ACTION_payRmmDifferentAmount');
	Route::get('ACTION_signAsHcp', 'bills_SINGLE_Controller@ACTION_signAsHcp')->name('bills_SINGLE-ACTION_signAsHcp');
	Route::get('ACTION_signAsCm', 'bills_SINGLE_Controller@ACTION_signAsCm')->name('bills_SINGLE-ACTION_signAsCm');
	Route::get('ACTION_signAsRme', 'bills_SINGLE_Controller@ACTION_signAsRme')->name('bills_SINGLE-ACTION_signAsRme');
	Route::get('ACTION_signAsRmm', 'bills_SINGLE_Controller@ACTION_signAsRmm')->name('bills_SINGLE-ACTION_signAsRmm');
	Route::get('ACTION_markSubmitted', 'bills_SINGLE_Controller@ACTION_markSubmitted')->name('bills_SINGLE-ACTION_markSubmitted');
	Route::get('ACTION_markCancelled', 'bills_SINGLE_Controller@ACTION_markCancelled')->name('bills_SINGLE-ACTION_markCancelled');
	Route::get('ACTION_putCollectedAmount', 'bills_SINGLE_Controller@ACTION_putCollectedAmount')->name('bills_SINGLE-ACTION_putCollectedAmount');
	Route::get('SUB_dashboard', 'bills_SINGLE_Controller@SUB_dashboard')->name('bills_SINGLE-SUB_dashboard');
	Route::get('SUB_transactions', 'bills_SINGLE_Controller@SUB_transactions')->name('bills_SINGLE-SUB_transactions');
	Route::get('SUB_audit_log', 'bills_SINGLE_Controller@SUB_audit_log')->name('bills_SINGLE-SUB_audit_log');
});

// --- pro: transactions --- //
Route::prefix('/transactions')->group(function () {
	Route::get('', 'transactions_Controller@index')->name('transactions-index');
	Route::get('view/{uid}', 'transactions_Controller@view')->name('transactions-view');
});

// --- pro: transactions_SINGLE --- //
Route::prefix('/transactions/view/{uid}')->group(function () {
	Route::get('SUB_dashboard', 'transactions_SINGLE_Controller@SUB_dashboard')->name('transactions_SINGLE-SUB_dashboard');
});

// --- pro: med_profile_lines --- //
Route::prefix('/med_profile_lines')->group(function () {
	Route::get('', 'med_profile_lines_Controller@index')->name('med_profile_lines-index');
	Route::get('view/{uid}', 'med_profile_lines_Controller@view')->name('med_profile_lines-view');
});

// --- pro: med_profile_lines_SINGLE --- //
Route::prefix('/med_profile_lines/view/{uid}')->group(function () {
	Route::get('ACTION_remove', 'med_profile_lines_SINGLE_Controller@ACTION_remove')->name('med_profile_lines_SINGLE-ACTION_remove');
	Route::get('ACTION_updateContent', 'med_profile_lines_SINGLE_Controller@ACTION_updateContent')->name('med_profile_lines_SINGLE-ACTION_updateContent');
	Route::get('SUB_dashboard', 'med_profile_lines_SINGLE_Controller@SUB_dashboard')->name('med_profile_lines_SINGLE-SUB_dashboard');
});

// --- pro: med_profile_line_updates --- //
Route::prefix('/med_profile_line_updates')->group(function () {
	Route::get('', 'med_profile_line_updates_Controller@index')->name('med_profile_line_updates-index');
});

// --- pro: mcp_updates --- //
Route::prefix('/mcp_updates')->group(function () {
	Route::get('', 'mcp_updates_Controller@index')->name('mcp_updates-index');
});

// --- admin: facilities --- //
Route::prefix('/facilities')->group(function () {
	Route::get('', 'facilities_Controller@index')->name('facilities-index');
	Route::get('add_new', 'facilities_Controller@add_new')->name('facilities-add_new');
	Route::get('view/{uid}', 'facilities_Controller@view')->name('facilities-view');
});

// --- admin: facilities_SINGLE --- //
Route::prefix('/facilities/view/{uid}')->group(function () {
	Route::get('ACTION_updateBasic', 'facilities_SINGLE_Controller@ACTION_updateBasic')->name('facilities_SINGLE-ACTION_updateBasic');
	Route::get('ACTION_deactivate', 'facilities_SINGLE_Controller@ACTION_deactivate')->name('facilities_SINGLE-ACTION_deactivate');
	Route::get('ACTION_updateDeactivationMemo', 'facilities_SINGLE_Controller@ACTION_updateDeactivationMemo')->name('facilities_SINGLE-ACTION_updateDeactivationMemo');
	Route::get('ACTION_reactivate', 'facilities_SINGLE_Controller@ACTION_reactivate')->name('facilities_SINGLE-ACTION_reactivate');
	Route::get('ACTION_updateReactivationMemo', 'facilities_SINGLE_Controller@ACTION_updateReactivationMemo')->name('facilities_SINGLE-ACTION_updateReactivationMemo');
	Route::get('SUB_dashboard', 'facilities_SINGLE_Controller@SUB_dashboard')->name('facilities_SINGLE-SUB_dashboard');
	Route::get('SUB_erx', 'facilities_SINGLE_Controller@SUB_erx')->name('facilities_SINGLE-SUB_erx');
	Route::get('SUB_action_items', 'facilities_SINGLE_Controller@SUB_action_items')->name('facilities_SINGLE-SUB_action_items');
	Route::get('SUB_audit_log', 'facilities_SINGLE_Controller@SUB_audit_log')->name('facilities_SINGLE-SUB_audit_log');
});

// --- admin: pros --- //
Route::prefix('/pros')->group(function () {
	Route::get('', 'pros_Controller@index')->name('pros-index');
	Route::get('add_new', 'pros_Controller@add_new')->name('pros-add_new');
	Route::get('view/{uid}', 'pros_Controller@view')->name('pros-view');
});

// --- admin: pros_SINGLE --- //
Route::prefix('/pros/view/{uid}')->group(function () {
	Route::get('ACTION_sendCellNumberConfirmationMessage', 'pros_SINGLE_Controller@ACTION_sendCellNumberConfirmationMessage')->name('pros_SINGLE-ACTION_sendCellNumberConfirmationMessage');
	Route::get('ACTION_adminResetPassword', 'pros_SINGLE_Controller@ACTION_adminResetPassword')->name('pros_SINGLE-ACTION_adminResetPassword');
	Route::get('ACTION_confirmCellNumberWithConfirmationToken', 'pros_SINGLE_Controller@ACTION_confirmCellNumberWithConfirmationToken')->name('pros_SINGLE-ACTION_confirmCellNumberWithConfirmationToken');
	Route::get('ACTION_putNewCellNumber', 'pros_SINGLE_Controller@ACTION_putNewCellNumber')->name('pros_SINGLE-ACTION_putNewCellNumber');
	Route::get('ACTION_confirmEmailAddressWithConfirmationToken', 'pros_SINGLE_Controller@ACTION_confirmEmailAddressWithConfirmationToken')->name('pros_SINGLE-ACTION_confirmEmailAddressWithConfirmationToken');
	Route::get('ACTION_putNewEmailAddress', 'pros_SINGLE_Controller@ACTION_putNewEmailAddress')->name('pros_SINGLE-ACTION_putNewEmailAddress');
	Route::get('ACTION_updateName', 'pros_SINGLE_Controller@ACTION_updateName')->name('pros_SINGLE-ACTION_updateName');
	Route::get('ACTION_updateProfession', 'pros_SINGLE_Controller@ACTION_updateProfession')->name('pros_SINGLE-ACTION_updateProfession');
	Route::get('ACTION_updateEnrolledHcpInfo', 'pros_SINGLE_Controller@ACTION_updateEnrolledHcpInfo')->name('pros_SINGLE-ACTION_updateEnrolledHcpInfo');
	Route::get('ACTION_putProfilePicture', 'pros_SINGLE_Controller@ACTION_putProfilePicture')->name('pros_SINGLE-ACTION_putProfilePicture');
	Route::get('ACTION_updatePhoneInfo', 'pros_SINGLE_Controller@ACTION_updatePhoneInfo')->name('pros_SINGLE-ACTION_updatePhoneInfo');
	Route::get('ACTION_updateAddress', 'pros_SINGLE_Controller@ACTION_updateAddress')->name('pros_SINGLE-ACTION_updateAddress');
	Route::get('ACTION_updatePaymentProcessingDetail', 'pros_SINGLE_Controller@ACTION_updatePaymentProcessingDetail')->name('pros_SINGLE-ACTION_updatePaymentProcessingDetail');
	Route::get('ACTION_uploadDriverLicense', 'pros_SINGLE_Controller@ACTION_uploadDriverLicense')->name('pros_SINGLE-ACTION_uploadDriverLicense');
	Route::get('ACTION_updateDriverLicenseInfo', 'pros_SINGLE_Controller@ACTION_updateDriverLicenseInfo')->name('pros_SINGLE-ACTION_updateDriverLicenseInfo');
	Route::get('ACTION_updateSsn', 'pros_SINGLE_Controller@ACTION_updateSsn')->name('pros_SINGLE-ACTION_updateSsn');
	Route::get('ACTION_sendEmailAddressConfirmationMessage', 'pros_SINGLE_Controller@ACTION_sendEmailAddressConfirmationMessage')->name('pros_SINGLE-ACTION_sendEmailAddressConfirmationMessage');
	Route::get('ACTION_setIsHcpToTrue', 'pros_SINGLE_Controller@ACTION_setIsHcpToTrue')->name('pros_SINGLE-ACTION_setIsHcpToTrue');
	Route::get('ACTION_setIsHcpToFalse', 'pros_SINGLE_Controller@ACTION_setIsHcpToFalse')->name('pros_SINGLE-ACTION_setIsHcpToFalse');
	Route::get('ACTION_setIsEnrolledAsHcpToTrue', 'pros_SINGLE_Controller@ACTION_setIsEnrolledAsHcpToTrue')->name('pros_SINGLE-ACTION_setIsEnrolledAsHcpToTrue');
	Route::get('ACTION_setIsEnrolledAsHcpToFalse', 'pros_SINGLE_Controller@ACTION_setIsEnrolledAsHcpToFalse')->name('pros_SINGLE-ACTION_setIsEnrolledAsHcpToFalse');
	Route::get('ACTION_setIsEnrolledAsMcpToTrue', 'pros_SINGLE_Controller@ACTION_setIsEnrolledAsMcpToTrue')->name('pros_SINGLE-ACTION_setIsEnrolledAsMcpToTrue');
	Route::get('ACTION_setIsEnrolledAsMcpToFalse', 'pros_SINGLE_Controller@ACTION_setIsEnrolledAsMcpToFalse')->name('pros_SINGLE-ACTION_setIsEnrolledAsMcpToFalse');
	Route::get('ACTION_setHasAccessToNextPatientButtonToTrue', 'pros_SINGLE_Controller@ACTION_setHasAccessToNextPatientButtonToTrue')->name('pros_SINGLE-ACTION_setHasAccessToNextPatientButtonToTrue');
	Route::get('ACTION_setHasAccessToNextPatientButtonToFalse', 'pros_SINGLE_Controller@ACTION_setHasAccessToNextPatientButtonToFalse')->name('pros_SINGLE-ACTION_setHasAccessToNextPatientButtonToFalse');
	Route::get('ACTION_setCanCreateClientWithInvalidMcnToTrue', 'pros_SINGLE_Controller@ACTION_setCanCreateClientWithInvalidMcnToTrue')->name('pros_SINGLE-ACTION_setCanCreateClientWithInvalidMcnToTrue');
	Route::get('ACTION_setCanCreateClientWithInvalidMcnToFalse', 'pros_SINGLE_Controller@ACTION_setCanCreateClientWithInvalidMcnToFalse')->name('pros_SINGLE-ACTION_setCanCreateClientWithInvalidMcnToFalse');
	Route::get('ACTION_setCanAccessRmPortalToTrue', 'pros_SINGLE_Controller@ACTION_setCanAccessRmPortalToTrue')->name('pros_SINGLE-ACTION_setCanAccessRmPortalToTrue');
	Route::get('ACTION_setCanAccessRmPortalToFalse', 'pros_SINGLE_Controller@ACTION_setCanAccessRmPortalToFalse')->name('pros_SINGLE-ACTION_setCanAccessRmPortalToFalse');
	Route::get('ACTION_setIsVideoVisitAssistantToTrue', 'pros_SINGLE_Controller@ACTION_setIsVideoVisitAssistantToTrue')->name('pros_SINGLE-ACTION_setIsVideoVisitAssistantToTrue');
	Route::get('ACTION_setIsVideoVisitAssistantToFalse', 'pros_SINGLE_Controller@ACTION_setIsVideoVisitAssistantToFalse')->name('pros_SINGLE-ACTION_setIsVideoVisitAssistantToFalse');
	Route::get('ACTION_removeProfilePicture', 'pros_SINGLE_Controller@ACTION_removeProfilePicture')->name('pros_SINGLE-ACTION_removeProfilePicture');
	Route::get('ACTION_updateW9Detail', 'pros_SINGLE_Controller@ACTION_updateW9Detail')->name('pros_SINGLE-ACTION_updateW9Detail');
	Route::get('ACTION_updateSignedContractPdf', 'pros_SINGLE_Controller@ACTION_updateSignedContractPdf')->name('pros_SINGLE-ACTION_updateSignedContractPdf');
	Route::get('ACTION_setIsPaymentProcessingDetailCompleteToTrue', 'pros_SINGLE_Controller@ACTION_setIsPaymentProcessingDetailCompleteToTrue')->name('pros_SINGLE-ACTION_setIsPaymentProcessingDetailCompleteToTrue');
	Route::get('ACTION_setIsPaymentProcessingDetailCompleteToFalse', 'pros_SINGLE_Controller@ACTION_setIsPaymentProcessingDetailCompleteToFalse')->name('pros_SINGLE-ACTION_setIsPaymentProcessingDetailCompleteToFalse');
	Route::get('ACTION_setIsDriverLicenseCompleteToTrue', 'pros_SINGLE_Controller@ACTION_setIsDriverLicenseCompleteToTrue')->name('pros_SINGLE-ACTION_setIsDriverLicenseCompleteToTrue');
	Route::get('ACTION_setIsDriverLicenseCompleteToFalse', 'pros_SINGLE_Controller@ACTION_setIsDriverLicenseCompleteToFalse')->name('pros_SINGLE-ACTION_setIsDriverLicenseCompleteToFalse');
	Route::get('ACTION_setIsSsnCompleteToTrue', 'pros_SINGLE_Controller@ACTION_setIsSsnCompleteToTrue')->name('pros_SINGLE-ACTION_setIsSsnCompleteToTrue');
	Route::get('ACTION_setIsSsnCompleteToFalse', 'pros_SINGLE_Controller@ACTION_setIsSsnCompleteToFalse')->name('pros_SINGLE-ACTION_setIsSsnCompleteToFalse');
	Route::get('ACTION_setProType', 'pros_SINGLE_Controller@ACTION_setProType')->name('pros_SINGLE-ACTION_setProType');
	Route::get('SUB_dashboard', 'pros_SINGLE_Controller@SUB_dashboard')->name('pros_SINGLE-SUB_dashboard');
	Route::get('SUB_pro_rates', 'pros_SINGLE_Controller@SUB_pro_rates')->name('pros_SINGLE-SUB_pro_rates');
	Route::get('SUB_clients', 'pros_SINGLE_Controller@SUB_clients')->name('pros_SINGLE-SUB_clients');
	Route::get('SUB_pro_access', 'pros_SINGLE_Controller@SUB_pro_access')->name('pros_SINGLE-SUB_pro_access');
	Route::get('SUB_mcp_updates', 'pros_SINGLE_Controller@SUB_mcp_updates')->name('pros_SINGLE-SUB_mcp_updates');
	Route::get('SUB_erx', 'pros_SINGLE_Controller@SUB_erx')->name('pros_SINGLE-SUB_erx');
	Route::get('SUB_action_items', 'pros_SINGLE_Controller@SUB_action_items')->name('pros_SINGLE-SUB_action_items');
	Route::get('SUB_care_months', 'pros_SINGLE_Controller@SUB_care_months')->name('pros_SINGLE-SUB_care_months');
	Route::get('SUB_care_month_entries', 'pros_SINGLE_Controller@SUB_care_month_entries')->name('pros_SINGLE-SUB_care_month_entries');
	Route::get('SUB_notes', 'pros_SINGLE_Controller@SUB_notes')->name('pros_SINGLE-SUB_notes');
	Route::get('SUB_bills', 'pros_SINGLE_Controller@SUB_bills')->name('pros_SINGLE-SUB_bills');
	Route::get('SUB_transactions', 'pros_SINGLE_Controller@SUB_transactions')->name('pros_SINGLE-SUB_transactions');
	Route::get('SUB_sessions', 'pros_SINGLE_Controller@SUB_sessions')->name('pros_SINGLE-SUB_sessions');
	Route::get('SUB_audit_log', 'pros_SINGLE_Controller@SUB_audit_log')->name('pros_SINGLE-SUB_audit_log');
	Route::get('ACTION_add_new_pro_rate', 'pros_SINGLE_Controller@ACTION_add_new_pro_rate')->name('pros_SINGLE-ACTION_add_new_pro_rate');
	Route::get('ACTION_add_new_client_pro_access', 'pros_SINGLE_Controller@ACTION_add_new_client_pro_access')->name('pros_SINGLE-ACTION_add_new_client_pro_access');
	Route::get('ACTION_add_new_credit_pro_transaction', 'pros_SINGLE_Controller@ACTION_add_new_credit_pro_transaction')->name('pros_SINGLE-ACTION_add_new_credit_pro_transaction');
	Route::get('ACTION_add_new_debit_pro_transaction', 'pros_SINGLE_Controller@ACTION_add_new_debit_pro_transaction')->name('pros_SINGLE-ACTION_add_new_debit_pro_transaction');
});

// --- admin: pro_rates --- //
Route::prefix('/pro_rates')->group(function () {
	Route::get('', 'pro_rates_Controller@index')->name('pro_rates-index');
	Route::get('view/{uid}', 'pro_rates_Controller@view')->name('pro_rates-view');
});

// --- admin: pro_rates_SINGLE --- //
Route::prefix('/pro_rates/view/{uid}')->group(function () {
	Route::get('ACTION_updateAmount', 'pro_rates_SINGLE_Controller@ACTION_updateAmount')->name('pro_rates_SINGLE-ACTION_updateAmount');
	Route::get('ACTION_reactivate', 'pro_rates_SINGLE_Controller@ACTION_reactivate')->name('pro_rates_SINGLE-ACTION_reactivate');
	Route::get('ACTION_deactivate', 'pro_rates_SINGLE_Controller@ACTION_deactivate')->name('pro_rates_SINGLE-ACTION_deactivate');
	Route::get('SUB_dashboard', 'pro_rates_SINGLE_Controller@SUB_dashboard')->name('pro_rates_SINGLE-SUB_dashboard');
});

// --- admin: client_pro_access --- //
Route::prefix('/client_pro_access')->group(function () {
	Route::get('', 'client_pro_access_Controller@index')->name('client_pro_access-index');
	Route::get('view/{uid}', 'client_pro_access_Controller@view')->name('client_pro_access-view');
});

// --- admin: client_pro_access_SINGLE --- //
Route::prefix('/client_pro_access/view/{uid}')->group(function () {
	Route::get('ACTION_updateReason', 'client_pro_access_SINGLE_Controller@ACTION_updateReason')->name('client_pro_access_SINGLE-ACTION_updateReason');
	Route::get('ACTION_deactivate', 'client_pro_access_SINGLE_Controller@ACTION_deactivate')->name('client_pro_access_SINGLE-ACTION_deactivate');
	Route::get('ACTION_updateDeactivationMemo', 'client_pro_access_SINGLE_Controller@ACTION_updateDeactivationMemo')->name('client_pro_access_SINGLE-ACTION_updateDeactivationMemo');
	Route::get('ACTION_reactivate', 'client_pro_access_SINGLE_Controller@ACTION_reactivate')->name('client_pro_access_SINGLE-ACTION_reactivate');
	Route::get('ACTION_updateReactivationMemo', 'client_pro_access_SINGLE_Controller@ACTION_updateReactivationMemo')->name('client_pro_access_SINGLE-ACTION_updateReactivationMemo');
	Route::get('SUB_dashboard', 'client_pro_access_SINGLE_Controller@SUB_dashboard')->name('client_pro_access_SINGLE-SUB_dashboard');
});

// --- admin: section_templates --- //
Route::prefix('/section_templates')->group(function () {
	Route::get('', 'section_templates_Controller@index')->name('section_templates-index');
	Route::get('add_new', 'section_templates_Controller@add_new')->name('section_templates-add_new');
	Route::get('view/{uid}', 'section_templates_Controller@view')->name('section_templates-view');
});

// --- admin: section_templates_SINGLE --- //
Route::prefix('/section_templates/view/{uid}')->group(function () {
	Route::get('ACTION_changePositionIndex', 'section_templates_SINGLE_Controller@ACTION_changePositionIndex')->name('section_templates_SINGLE-ACTION_changePositionIndex');
	Route::get('SUB_dashboard', 'section_templates_SINGLE_Controller@SUB_dashboard')->name('section_templates_SINGLE-SUB_dashboard');
});

// --- admin: note_templates --- //
Route::prefix('/note_templates')->group(function () {
	Route::get('', 'note_templates_Controller@index')->name('note_templates-index');
	Route::get('add_new', 'note_templates_Controller@add_new')->name('note_templates-add_new');
	Route::get('view/{uid}', 'note_templates_Controller@view')->name('note_templates-view');
});

// --- admin: note_templates_SINGLE --- //
Route::prefix('/note_templates/view/{uid}')->group(function () {
	Route::get('ACTION_updateTitle', 'note_templates_SINGLE_Controller@ACTION_updateTitle')->name('note_templates_SINGLE-ACTION_updateTitle');
	Route::get('SUB_dashboard', 'note_templates_SINGLE_Controller@SUB_dashboard')->name('note_templates_SINGLE-SUB_dashboard');
	Route::get('SUB_note_template_section_templates', 'note_templates_SINGLE_Controller@SUB_note_template_section_templates')->name('note_templates_SINGLE-SUB_note_template_section_templates');
	Route::get('ACTION_add_new_note_template_section_template', 'note_templates_SINGLE_Controller@ACTION_add_new_note_template_section_template')->name('note_templates_SINGLE-ACTION_add_new_note_template_section_template');
});

// --- admin: invitations --- //
Route::prefix('/invitations')->group(function () {
	Route::get('', 'invitations_Controller@index')->name('invitations-index');
	Route::get('add_new', 'invitations_Controller@add_new')->name('invitations-add_new');
	Route::get('view/{uid}', 'invitations_Controller@view')->name('invitations-view');
});

// --- admin: invitations_SINGLE --- //
Route::prefix('/invitations/view/{uid}')->group(function () {
	Route::get('ACTION_deactivate', 'invitations_SINGLE_Controller@ACTION_deactivate')->name('invitations_SINGLE-ACTION_deactivate');
	Route::get('ACTION_reactivate', 'invitations_SINGLE_Controller@ACTION_reactivate')->name('invitations_SINGLE-ACTION_reactivate');
	Route::get('ACTION_sendEmail', 'invitations_SINGLE_Controller@ACTION_sendEmail')->name('invitations_SINGLE-ACTION_sendEmail');
	Route::get('ACTION_sendSms', 'invitations_SINGLE_Controller@ACTION_sendSms')->name('invitations_SINGLE-ACTION_sendSms');
	Route::get('ACTION_putMedicareInfoAsGuest', 'invitations_SINGLE_Controller@ACTION_putMedicareInfoAsGuest')->name('invitations_SINGLE-ACTION_putMedicareInfoAsGuest');
	Route::get('ACTION_updateBasic', 'invitations_SINGLE_Controller@ACTION_updateBasic')->name('invitations_SINGLE-ACTION_updateBasic');
	Route::get('SUB_dashboard', 'invitations_SINGLE_Controller@SUB_dashboard')->name('invitations_SINGLE-SUB_dashboard');
});

// --- admin: client_smses --- //
Route::prefix('/client_smses')->group(function () {
	Route::get('', 'client_smses_Controller@index')->name('client_smses-index');
	Route::get('view/{uid}', 'client_smses_Controller@view')->name('client_smses-view');
});

// --- admin: client_smses_SINGLE --- //
Route::prefix('/client_smses/view/{uid}')->group(function () {
	Route::get('ACTION_assignIncomingSmsToClient', 'client_smses_SINGLE_Controller@ACTION_assignIncomingSmsToClient')->name('client_smses_SINGLE-ACTION_assignIncomingSmsToClient');
	Route::get('SUB_dashboard', 'client_smses_SINGLE_Controller@SUB_dashboard')->name('client_smses_SINGLE-SUB_dashboard');
});

// --- admin: client_documents_SINGLE --- //
Route::prefix('/client_documents/view/{uid}')->group(function () {
	Route::get('ACTION_updateBasic', 'client_documents_SINGLE_Controller@ACTION_updateBasic')->name('client_documents_SINGLE-ACTION_updateBasic');
	Route::get('SUB_dashboard', 'client_documents_SINGLE_Controller@SUB_dashboard')->name('client_documents_SINGLE-SUB_dashboard');
});

// --- admin: client_documents --- //
Route::prefix('/client_documents')->group(function () {
	Route::get('', 'client_documents_Controller@index')->name('client_documents-index');
	Route::get('view/{uid}', 'client_documents_Controller@view')->name('client_documents-view');
});
